• Русский
  • PostgresRestore

    Description
    PostgresRestore is the Schema for the postgresrestores API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    PostgresRestoreSpec defines the desired state of PostgresRestore

    statusobject

    PostgresRestoreStatus defines the observed state of PostgresRestore

    .spec

    Description
    PostgresRestoreSpec defines the desired state of PostgresRestore
    Type
    object
    Required
    backupClustertargetClustertimestamp
    PropertyTypeDescription
    backupClusterobject

    BackupCluster contains details about the source backup cluster

    targetClusterstring

    TargetCluster is the name of the PostgreSQL cluster to restore into

    timestampstring

    Timestamp specifies the point-in-time to restore to in RFC3339 format

    .spec.backupCluster

    Description
    BackupCluster contains details about the source backup cluster
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the source PostgreSQL cluster

    storageobject

    Storage configuration for accessing the backup

    uidstring

    Uid is the unique identifier of the source cluster

    .spec.backupCluster.storage

    Description
    Storage configuration for accessing the backup
    Type
    object
    Required
    bucketnamenamespace
    PropertyTypeDescription
    bucketstring

    Bucket name where backups are stored

    namestring

    Name of the storage configuration

    namespacestring

    Namespace where the storage configuration is located

    s3Optionobject

    S3Option contains S3-specific storage options

    .spec.backupCluster.storage.s3Option

    Description
    S3Option contains S3-specific storage options
    Type
    object
    PropertyTypeDescription
    awsS3ForcePathStylestring

    AwsS3ForcePathStyle enables path-style S3 URLs (s3.amazonaws.com/BUCKET/KEY)

    s3ForcePathStyleboolean

    S3ForcePathStyle forces path-style S3 URLs

    useWalgboolean

    UseWalg enables the WAL-G backup tool

    useWalgBackupboolean

    UseWalgBackup enables WAL-G for backup operations

    walgDisableS3Sseboolean

    WalgDisableS3Sse disables S3 server-side encryption for WAL-G

    .status

    Description
    PostgresRestoreStatus defines the observed state of PostgresRestore
    Type
    object
    PropertyTypeDescription
    errorstring

    Error contains any error messages from the restore operation

    statestring

    State represents the current state of the restore operation

    API Endpoints

    The following API endpoints are available:

    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores
      • DELETE: delete collection of PostgresRestore
      • GET: list objects of kind PostgresRestore
      • POST: create a new PostgresRestore
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores/{name}
      • DELETE: delete the specified PostgresRestore
      • GET: read the specified PostgresRestore
      • PATCH: partially update the specified PostgresRestore
      • PUT: replace the specified PostgresRestore
    • /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores/{name}/status
      • GET: read status of the specified PostgresRestore
      • PATCH: partially update status of the specified PostgresRestore
      • PUT: replace status of the specified PostgresRestore

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores

    HTTP method
    DELETE
    Description
    delete collection of PostgresRestore
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind PostgresRestore
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestoreList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresRestore schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    201 - CreatedPostgresRestore schema
    202 - AcceptedPostgresRestore schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores/{name}

    HTTP method
    DELETE
    Description
    delete the specified PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified PostgresRestore
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresRestore schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    201 - CreatedPostgresRestore schema
    401 - UnauthorizedEmpty

    /apis/middleware.alauda.io/v1/namespaces/{namespace}/postgresrestores/{name}/status

    HTTP method
    GET
    Description
    read status of the specified PostgresRestore
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified PostgresRestore
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyPostgresRestore schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKPostgresRestore schema
    201 - CreatedPostgresRestore schema
    401 - UnauthorizedEmpty